package cn.com.victorysoft.business.indicator.dao;

import cn.com.victorysoft.business.indicator.entity.MoreMeasureSummary;
import cn.com.victorysoft.business.indicator.entity.MoreSummary;
import cn.com.victorysoft.business.sys.param.UnitMonthParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MoreMeasureSummaryDao {
    int deleteByPrimaryKey(MoreMeasureSummary key);

    int insert(MoreMeasureSummary record);

    MoreMeasureSummary selectByPrimaryKey(MoreMeasureSummary key);

    int updateByPrimaryKeySelective(MoreMeasureSummary record);

    int updateByPrimaryKey(MoreMeasureSummary record);

    List<MoreMeasureSummary> selectUnit(UnitMonthParam param);

    List<MoreMeasureSummary> selectChildren(UnitMonthParam param);

    int deleteByMonth(String month);

    /**
     * 汇总站级数据
     */
    void summaryStation(String month);
    /**
     * 汇总区级数据
     */
    void summaryArea(String month);
    /**
     * 汇总厂级数据
     */
    void summaryCompany(String month);
    /**
     * 汇总局级数据
     */
    void summaryGroup(String month);
}